from pyglet.gl import *

END_ENGINE = -1

class Engine(object):
    def __init__(self):
        self.tick = 0
        self.time = 0
        
    def initGLview(self, width, height):
        self.width = width
        self.height = height
        glViewport(0, 0, width, height)

    def update(self, window, user_input, dt):
        self.tick += 1
        self.time += dt
        self._update(window, user_input, dt)
    
    def _update(self,window, user_input, dt):
        pass
    
    def _render(self, window):
        pass
    
    def _set_projection(self):
        glMatrixMode(GL_PROJECTION)
        glLoadIdentity()
        gluOrtho2D(0, self.width, 0, self.height)
        glMatrixMode(GL_MODELVIEW)
        glLoadIdentity()
        
    def render(self, window):
        self._render(window)