from euclid import *
from pyglet.gl import *
import actor
import texman
import random

class Grass(actor.Actor):
    
    def __init__(self, pos, **kwargs):
        self.img = texman.get_tex('grass').frames[0]
        self.tall = 8+random.random() * 4
        gwidth = self.img.width
        gheight = self.img.height
        actor.Actor.__init__(self, pos, **kwargs)
        width = 30
        self.verts = (GLfloat * 8)(-width*gwidth,0,width*gwidth,0,width*gwidth,-gheight,-width*gwidth,-gheight)
        self.texcoords = (GLfloat * 8)(0,0,width*2,0,width*2,-1,0,-1)

    def draw(self):
        x, y, z = self.position
        glTranslatef(*self.position)
        glScalef(1, self.tall, 1)
        glEnable(GL_TEXTURE_2D)
        glBindTexture(GL_TEXTURE_2D, self.img.id)

        
        glColor4f(1,1,1,1)

        glEnableClientState(GL_VERTEX_ARRAY)
        glEnableClientState(GL_TEXTURE_COORD_ARRAY)
        glVertexPointer(2, GL_FLOAT, 0, self.verts)
        glTexCoordPointer(2, GL_FLOAT, 0, self.texcoords)
        glDrawArrays(GL_QUADS, 0, len(self.verts) // 2)

class Rock(actor.BoardActor):
    def __init__(self, pos, **kwargs):
       actor.BoardActor.__init__(self, pos, imgname='rock', scale=(3,3,3), **kwargs)