from pyglet.gl import *
from pyglet import image
import data

class TexBundle(object):
    texture_registry = {}
    def __init__(self, name, filelist):
        self.texture_registry[name] = self
        self.frames = self.load_frames(filelist)
    def load_frames(self, filelist):
        frames = [image.load(filename = f , file = data.load(f, 'rb')).get_texture() for f in filelist]
        for f in frames:
            glBindTexture(f.target, f.id)
            glTexParameteri(f.target,GL_TEXTURE_MIN_FILTER, GL_NEAREST)
            glTexParameteri(f.target,GL_TEXTURE_MAG_FILTER, GL_NEAREST)
            #f.anchor_x = f.width /2
        return frames
def init_textures():
    TexBundle('grass',['grass.png'])
    TexBundle('ship',['ship.png'])
    TexBundle('rock',['rock.png'])
def get_tex(name):
    return TexBundle.texture_registry[name]